/[gentoo-x86]/dev-lang/ruby/ChangeLog
Gentoo

Diff of /dev-lang/ruby/ChangeLog

Parent Directory Parent Directory | Revision Log Revision Log | View Patch Patch

Revision 1.307 Revision 1.355
1# ChangeLog for dev-lang/ruby 1# ChangeLog for dev-lang/ruby
2# Copyright 2002-2007 Gentoo Foundation; Distributed under the GPL v2 2# Copyright 2002-2008 Gentoo Foundation; Distributed under the GPL v2
3# $Header: /var/cvsroot/gentoo-x86/dev-lang/ruby/ChangeLog,v 1.307 2007/10/13 02:47:26 beandog Exp $ 3# $Header: /var/cvsroot/gentoo-x86/dev-lang/ruby/ChangeLog,v 1.355 2008/11/26 22:12:12 graaff Exp $
4
5*ruby-1.8.7_p72-r1 (26 Nov 2008)
6*ruby-1.8.6_p287-r2 (26 Nov 2008)
7
8 26 Nov 2008; Hans de Graaff <graaff@gentoo.org>
9 +files/ruby-1.8.6-shortname_constants.patch, +ruby-1.8.6_p287-r2.ebuild,
10 +ruby-1.8.7_p72-r1.ebuild:
11 Fix problem with shortname constants #247790, already fixed in upstream SVN.
12 Thanks to Alex Legler for providing the patch.
13
14 26 Nov 2008; Hans de Graaff <graaff@gentoo.org> -ruby-1.8.6_p286.ebuild,
15 -ruby-1.8.6_p287.ebuild:
16 Remove versions that will not become stable
17
18 16 Sep 2008; Tobias Scherbaum <dertobi123@gentoo.org>
19 ruby-1.8.6_p287-r1.ebuild:
20 ppc stable, bug #225465
21
22 11 Sep 2008; Tobias Heinlein <keytoaster@gentoo.org>
23 ruby-1.8.6_p287-r1.ebuild:
24 amd64 stable wrt security bug #225465
25
26 11 Sep 2008; Raúl Porcel <armin76@gentoo.org> ruby-1.8.6_p287-r1.ebuild:
27 alpha/ia64/x86 stable wrt #225465
28
29 11 Sep 2008; Ferris McCormick <fmccor@gentoo.org>
30 ruby-1.8.6_p287-r1.ebuild:
31 Sparc stable --- Security Bug #225465 --- good since late August.
32
33 11 Sep 2008; Markus Rothe <corsair@gentoo.org> ruby-1.8.6_p287-r1.ebuild:
34 Stable on ppc64; bug #225465
35
36 11 Sep 2008; Jeroen Roovers <jer@gentoo.org> ruby-1.8.6_p287-r1.ebuild:
37 Stable for HPPA (bug #225465).
38
39*ruby-1.8.6_p287-r1 (29 Aug 2008)
40
41 29 Aug 2008; Hans de Graaff <graaff@gentoo.org>
42 +files/ruby-1.8.6_p287-entity_expansion_limit.diff,
43 +ruby-1.8.6_p287-r1.ebuild:
44 Fix REXML security issues, bug #236060.
45
46 23 Aug 2008; Jeroen Roovers <jer@gentoo.org> metadata.xml:
47 Add GLEP 56 USE flag descriptions.
48
49*ruby-1.8.7_p72 (15 Aug 2008)
50
51 15 Aug 2008; Caleb Tennis <caleb@gentoo.org> -ruby-1.8.7_p22.ebuild,
52 +ruby-1.8.7_p72.ebuild:
53 bump 1.8.7 to latest patch release
54
55*ruby-1.8.6_p287 (11 Aug 2008)
56
57 11 Aug 2008; Hans de Graaff <graaff@gentoo.org> +ruby-1.8.6_p287.ebuild:
58 Version bump for brown paper bag relelease.
59
60 10 Aug 2008; Hans de Graaff <graaff@gentoo.org>
61 -files/ruby-1.8.6-revert-r15856.patch, -ruby-1.8.6_p230.ebuild:
62 Remove broken version in favor of the just-added 1.8.6_p286
63
64*ruby-1.8.6_p286 (10 Aug 2008)
65
66 10 Aug 2008; Hans de Graaff <graaff@gentoo.org> +ruby-1.8.6_p286.ebuild:
67 Version bump to latest released version of ruby 1.8.6. This version fixes the
68 security issues reported in #225465 and #234224. The cjk USE flag has been
69 dropped since no compatible patches have been released yet.
70
71 25 Jul 2008; Michael Sterrett <mr_bones_@gentoo.org>
72 ruby-1.8.6_p230.ebuild:
73 drop cjk from SRC_URI as well
74
75 15 Jul 2008; Hans de Graaff <graaff@gentoo.org> ruby-1.8.6_p230.ebuild:
76 Drop cjk support since the most recent oniguruma patches no longer apply to
77 this version, #230111.
78
79 29 Jun 2008; Hans de Graaff <graaff@gentoo.org>
80 +files/ruby-1.8.6-revert-r15856.patch, +ruby-1.8.6_p230.ebuild:
81 Try to fix the security issues reported in #225465 for ruby 1.8.6.
82 Unfortunately the official p230 has a change which causes segmentation faults
83 for applications like Rails and RSpec, so we are reverting that specific
84 change.
85
86*ruby-1.8.7_p22 (29 Jun 2008)
87
88 29 Jun 2008; Caleb Tennis <caleb@gentoo.org> -ruby-1.8.7.ebuild,
89 +ruby-1.8.7_p22.ebuild:
90 bump 1.8.7 for security fix
91
92 20 Jun 2008; Caleb Tennis <caleb@gentoo.org> -ruby-1.8.6_p230.ebuild:
93 nevermind, don't bump this yet
94
95*ruby-1.8.6_p230 (20 Jun 2008)
96
97 20 Jun 2008; Caleb Tennis <caleb@gentoo.org> +ruby-1.8.6_p230.ebuild:
98 version bump
99
100*ruby-1.8.7 (10 Jun 2008)
101
102 10 Jun 2008; Caleb Tennis <caleb@gentoo.org> -ruby-1.8.7_pre2.ebuild,
103 +ruby-1.8.7.ebuild:
104 bump 1.8.7 to final
105
106*ruby-1.8.7_pre2 (21 Apr 2008)
107
108 21 Apr 2008; Richard Brown <rbrown@gentoo.org> -ruby-1.8.7_pre1.ebuild,
109 +ruby-1.8.7_pre2.ebuild:
110 Version Bump
111
112*ruby-1.8.7_pre1 (16 Apr 2008)
113
114 16 Apr 2008; Richard Brown <rbrown@gentoo.org> +ruby-1.8.7_pre1.ebuild:
115 Version bump. Drop cjk until a new version of oniguruma appears.
116
117 06 Mar 2008; Steve Dibb <beandog@gentoo.org> ruby-1.8.6_p114.ebuild:
118 amd64 stable, bug 212264
119
120 06 Mar 2008; Jeroen Roovers <jer@gentoo.org> ruby-1.8.6_p114.ebuild:
121 Stable for HPPA (bug #212264).
122
123 05 Mar 2008; Tobias Scherbaum <dertobi123@gentoo.org>
124 ruby-1.8.6_p114.ebuild:
125 ppc stable, bug #212264
126
127 05 Mar 2008; Raúl Porcel <armin76@gentoo.org> ruby-1.8.6_p114.ebuild:
128 alpha/ia64 stable wrt #212264
129
130 05 Mar 2008; Christian Faulhammer <opfer@gentoo.org>
131 ruby-1.8.6_p114.ebuild:
132 stable x86, security bug 212264
133
134 05 Mar 2008; Ferris McCormick <fmccor@gentoo.org> ruby-1.8.6_p114.ebuild:
135 Sparc stable, Security Bug #212264, builds and installs, initial tests run
136 as expected.
137
138 05 Mar 2008; Brent Baude <ranger@gentoo.org> ruby-1.8.6_p114.ebuild:
139 Marking ruby-1.8.6_p114 ppc64 for bug 212264
140
141*ruby-1.8.6_p114 (05 Mar 2008)
142
143 05 Mar 2008; Richard Brown <rbrown@gentoo.org>
144 -files/ruby-1.8.4-glibc24-eaccess.diff, -files/ruby-1.8.4-yaml.diff,
145 -files/ruby-1.8.5_p113-net-http-p114.patch, -ruby-1.8.4-r3.ebuild,
146 -ruby-1.8.5_p113.ebuild, +ruby-1.8.6_p114.ebuild:
147 Version bump for #212264. Remove old ebuilds.
148
149 17 Feb 2008; Raúl Porcel <armin76@gentoo.org> ruby-1.8.6_p111-r1.ebuild:
150 alpha/ia64 stable wrt #208916
151
152 17 Feb 2008; nixnut <nixnut@gentoo.org> ruby-1.8.6_p111-r1.ebuild:
153 Stable on ppc wrt bug 208916
154
155 16 Feb 2008; Markus Meier <maekke@gentoo.org> ruby-1.8.6_p111-r1.ebuild:
156 x86 stable, bug #208916
157
158 16 Feb 2008; Ferris McCormick <fmccor@gentoo.org>
159 ruby-1.8.6_p111-r1.ebuild:
160 Sparc stable --- Bug #208916 --- working well for about 6 weeks.
161
162 15 Feb 2008; Richard Brown <rbrown@gentoo.org>
163 -files/ruby-1.8.6-exit-status.patch,
164 -files/ruby-1.8.6_p110-net-http-p111.patch,
165 -files/ruby-1.8.6_p36-rb_thread_status_prototype.patch,
166 -ruby-1.8.5_p2-r1.ebuild, -ruby-1.8.6-r1.ebuild,
167 -ruby-1.8.6_p110-r1.ebuild, -ruby-1.8.6_p110-r2.ebuild:
168 Remove old versions
169
170 05 Feb 2008; Markus Rothe <corsair@gentoo.org> ruby-1.8.6_p111-r1.ebuild:
171 Stable on ppc64
172
173 26 Dec 2007; Peter Weller <welp@gentoo.org> ruby-1.8.6_p111.ebuild:
174 Stable on amd64; bug 199191
175
176 24 Dec 2007; Raúl Porcel <armin76@gentoo.org> ruby-1.8.6_p111.ebuild:
177 alpha/ia64/sparc stable wrt #199191
178
179 24 Dec 2007; Hans de Graaff <graaff@gentoo.org> ruby-1.8.6_p111-r1.ebuild:
180 Remove now-obsolete warning about coreutils versions, #203156.
181
182 24 Dec 2007; Jeroen Roovers <jer@gentoo.org> ruby-1.8.6_p111-r1.ebuild:
183 Stable for HPPA (bug #199191).
184
185*ruby-1.8.6_p111-r1 (23 Dec 2007)
186
187 23 Dec 2007; Richard Brown <rbrown@gentoo.org> +ruby-1.8.6_p111-r1.ebuild:
188 Remove dependencies on system packages. Add berkdb (bug #199705), gdbm and
189 ssl USE flags. Patch to p113.
190
191 23 Dec 2007; Brent Baude <ranger@gentoo.org> ruby-1.8.6_p111.ebuild:
192 Marking ruby-1.8.6_p111 ppc and ppc64 for bug 199191
193
194 23 Dec 2007; Markus Meier <maekke@gentoo.org> ruby-1.8.6_p111.ebuild:
195 x86 stable, security bug #199191
196
197*ruby-1.8.6_p111 (23 Dec 2007)
198
199 23 Dec 2007; Richard Brown <rbrown@gentoo.org>
200 +files/ruby-1.8.6_p111-r13657.patch, +ruby-1.8.6_p111.ebuild:
201 Version bump with patch for bug #199191
202
203 14 Dec 2007; Ulrich Mueller <ulm@gentoo.org> ruby-1.8.6_p110-r2.ebuild:
204 Move dependency on (X)Emacs modes to PDEPEND.
205
206 25 Oct 2007; Hans de Graaff <graaff@gentoo.org> ruby-1.8.6_p110-r2.ebuild:
207 Add back ~hppa keyword now that XEmacs support files have been keyworded,
208 bug 196413
209
210*ruby-1.8.6_p110-r2 (21 Oct 2007)
211
212 21 Oct 2007; Hans de Graaff <graaff@gentoo.org>
213 +ruby-1.8.6_p110-r2.ebuild:
214 Add emacs and xemacs USE flags and use them to pull in the correct editing
215 mode for each. Had to drop several arch keywords as reported on bug 196413.
4 216
5 13 Oct 2007; Steve Dibb <beandog@gentoo.org> ruby-1.8.6_p110-r1.ebuild: 217 13 Oct 2007; Steve Dibb <beandog@gentoo.org> ruby-1.8.6_p110-r1.ebuild:
6 amd64 stable, security bug 194236 218 amd64 stable, security bug 194236
7 219
8 11 Oct 2007; Markus Rothe <corsair@gentoo.org> ruby-1.8.5_p113.ebuild, 220 11 Oct 2007; Markus Rothe <corsair@gentoo.org> ruby-1.8.5_p113.ebuild,

Legend:
Removed from v.1.307  
changed lines
  Added in v.1.355

  ViewVC Help
Powered by ViewVC 1.1.20